# Command: reserve

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    reserve - Prepare an array or string to hold a given number of elements.

Synopsis:

    array n reserve -> array

Description:

    reserve makes sure that the array can hold at least n objects.
      If the current capacity of the array is lower than n, it will be resized.
      Note that if the current capacity is larger than n, no resize will take place.

SeeAlso:

- capacity
- shrink
- allocations

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative